#ifndef LIB_ML_DIRICHLET_MIXTURE_H_
#define LIB_ML_DIRICHLET_MIXTURE_H_

#include "dirichlet.h"
#include "exponential_family_mixture.h"

class DirichletMixture: public ExponentialFamilyMixture<Dirichlet> {
 public:
  DirichletMixture(int ncomp, int nvar);

  virtual ~DirichletMixture();

 protected:
};

// TODO(...): instructions for mixture instantiation
#ifdef _PYTHON
#include "exponential_family_mixture-inl.h"
EXPONENTIAL_FAMILY_MIXTURE_DECLARE_CFN(DirichletMixture)
#endif

#endif  // LIB_ML_DIRICHLET_MIXTURE_H_
