#!/usr/bin/python
# -*- coding: utf-8 -*-

import unittest

import sys
sys.path.append('.')

from vrl.ml import Bernoulli
from vrl.random import RNG


class TestExponentialFamily(unittest.TestCase):
    def __init__(self, *args):
        unittest.TestCase.__init__(self, *args)

    def test_init(self):
        ef = Bernoulli(2, 2)
        rng = ef._random_state
        self.assertTrue(isinstance(rng, RNG))


if __name__ == '__main__':
    unittest.main()
