# -*- coding: utf-8 -*-
from __future__ import print_function
from __future__ import division

import numpy as np


def matrix_is_symmetric(mat):
    '''returns True if matrix is symmetric'''
    return np.allclose(mat, mat.T)


def matrix_is_positive_definite(mat):
    '''returns True if matrix is positive definite'''
    return np.all(np.linalg.eigvals(mat) > 0.0)
