#include "dirichlet_mixture.h"

DirichletMixture::DirichletMixture(int ncomp, int nvar)
    :ExponentialFamilyMixture<Dirichlet>::ExponentialFamilyMixture(ncomp) {
  for (int k = 0; k < ncomp_; ++k) {
    components_[k] = new Dirichlet(nvar);
  }
}

DirichletMixture::~DirichletMixture() {
}

#ifdef _PYTHON
EXPONENTIAL_FAMILY_MIXTURE_IMPLEMENT_CFN(DirichletMixture)
#endif
